catalog:
  title: Zulu OpenJDK Build

templates:
- freestyle
- base

variables:
  description: >-
    Downloads "Zulu" OpenJDK builds provided by Azul Systems.
  keywords:
  - openjdk
  - java
  - jdk
  - zulu
  - azul
  homepage.url: https://www.azul.com/downloads/zulu/

  extra-provides:
  - nature: freestyle
    target: openjdk
    version: ${upstream-version}

  upstream.name: zulu${upstream-version}-linux_x64
  upstream.file: ${upstream.name}.tar.gz
  upstream.location: https://cdn.azul.com/zulu/bin/
  shell.command: |
    test -f ${upstream.file} || wget ${upstream.location}/${upstream.file}
    mkdir -p ${toolkit.dir}/usr/lib/jvm/
    tar axf ${upstream.file} -C ${toolkit.dir}/usr/lib/jvm/
    ln -fs ${toolkit.dir}/usr/lib/jvm/${upstream.name} ${toolkit.dir}/usr/lib/jvm/default-java

versions:
- name: 11.0.1
  variables:
    upstream-version: 11.2.3-jdk11.0.1
- name: 11.0.2
  variables:
    upstream-version: 11.29.11-ca-jdk11.0.2
